Panda3D

Public Member Functions | Public Attributes | List of all members
PhysxConvexForceFieldShapeDesc Class Reference

A descriptor for a convex force field shape. More...

`#include "physxConvexForceFieldShapeDesc.h"`

Inheritance diagram for PhysxConvexForceFieldShapeDesc:

## Public Member Functions
bool | is_valid () const
| Returns true if the descriptor is valid. More...
NxForceFieldShapeDesc * | ptr () const
void | set_mesh (PhysxConvexMesh *mesh)
| Sets the convex mesh for this force field shape. More...
void | set_to_default ()
| (re)sets the structure to the default. More...
Public Member Functions inherited from PhysxForceFieldShapeDesc
LMatrix4f | get_mat () const
const char * | get_name () const
LPoint3f | get_pos () const
void | set_hpr (float h, float p, float r)
void | set_mat (const LMatrix4f &mat)
void | set_name (const char *name)
| Sets a possible debug name. More...
void | set_pos (const LPoint3f &pos)

## Public Attributes
NxConvexForceFieldShapeDesc | _desc

## Detailed Description

A descriptor for a convex force field shape.

Definition at line 27 of file physxConvexForceFieldShapeDesc.h.

## Member Function Documentation

## ◆ is_valid()

bool PhysxConvexForceFieldShapeDesc::is_valid | ( |  | ) | const
| inline virtual

Returns true if the descriptor is valid.

Implements PhysxForceFieldShapeDesc.

Definition at line 44 of file physxConvexForceFieldShapeDesc.I.

## ◆ set_mesh()

void PhysxConvexForceFieldShapeDesc::set_mesh | ( | PhysxConvexMesh * | mesh | ) |

Sets the convex mesh for this force field shape.

Definition at line 20 of file physxConvexForceFieldShapeDesc.cxx.

## ◆ set_to_default()

void PhysxConvexForceFieldShapeDesc::set_to_default | ( |  | ) |
| inline virtual

(re)sets the structure to the default.

Implements PhysxForceFieldShapeDesc.

Definition at line 34 of file physxConvexForceFieldShapeDesc.I.

The documentation for this class was generated from the following files:

- panda/src/physx/physxConvexForceFieldShapeDesc.h
- panda/src/physx/physxConvexForceFieldShapeDesc.cxx
- panda/src/physx/physxConvexForceFieldShapeDesc.I